<bugID>1388758<Summary>Restoring sessions with multiple windows is very slow</Summary><Description>See this profile where on a very fast macbook; restoring a session with 15 windows (14 of which contained only 1 tab with about:home) took more than 5s: https://perfht.ml/2wIrz5U

Looking at the JS code doesn't show me obvious problems. There's certainly stuff we could optimize, but it would be small wins.

Looking at the platform stuff however, there seem to be a lot of time spent with the main thread blocked on sync IPC. PLayerTransaction::Msg_GetTextureFactoryIdentifier and PCompositorBridge::Msg_FlushRendering specifically seem to account for a lot of the time.</Description></bugID>